#ifndef __MEMINFO_H__
#define __MEMINFO_H__

#ifdef __cplusplus //__cplusplus
extern "C" { /* assume C declarations for C++ */
#endif


#define IN
#define OUT
#define BUFFSIZE 128

typedef struct _us_mem_info
{
    unsigned char *size;      //内存的大小
    unsigned char *type;      //内存的类型ddr2, ddr3
    unsigned char *datawidth; //内存的数据宽度
    unsigned char *freq;      //内存的频率
    unsigned char *locator;   //插槽
    unsigned char *vendor;    //内存的厂商
    unsigned char *model;     //内存的型号
    unsigned char *serial;    //内存的序列号
} us_mem_info_t;


us_mem_info_t *us_get_mem_lists(int *counter);
int us_free_mem_lists(us_mem_info_t **memInfoList, int counter );
int us_get_physics_mem_size(char *memTotalSize, int *len);
int us_get_mem_count(int *counter);
char ** us_get_SN_list(int *counter);
int us_free_mem_sn_lists(char **snList, int counter );
int us_get_mem_size_by_sn(const char *sn, char *memSize, int *len );

#ifdef __cplusplus
}
#endif

#endif