#ifndef __NETWORKINFO_H__
#define __NETWORKINFO_H__

#ifdef __cplusplus //__cplusplus
extern "C" { /* assume C declarations for C++ */
#endif


#define IN
#define OUT

unsigned char **us_get_ethAdapter_name(OUT int *ptr_counter);
int us_get_mac_by_ethName(IN const unsigned char *ethName, OUT unsigned char *mac, OUT unsigned short *len);
int us_get_status_by_ethName(IN const unsigned char * ethName, OUT unsigned short *status);
int us_get_ipv4_by_ethName(IN const unsigned char *ethName,  OUT unsigned char *ipv4, OUT unsigned short *len);
int us_free_ethAdapter_name(unsigned char **list, int len);



#ifdef __cplusplus
}
#endif


#endif